Bug 63124 - [r600g] HyperZ lockup on REDWOOD in Half Life 2 Deathmatch
[r600g] HyperZ lockup on REDWOOD in Half Life 2 Deathmatch
Status: RESOLVED FIXED
Product: Mesa
Classification: Unclassified
Component: Drivers/Gallium/r600
git
x86-64 (AMD64) Linux (All)
: medium major
Assigned To: Default DRI bug account
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-04 14:59 UTC by abortretryfail
Modified: 2013-05-02 14:12 UTC (History)
0 users

See Also:


Attachments
dmesg output from when the GPU resets. This keeps happening until the game is killed or you look away from whatever is causing the lockup. (3.00 KB, text/plain)
2013-04-04 14:59 UTC, abortretryfail
Details

Note You need to log in before you can comment on or make changes to this bug.
Description abortretryfail 2013-04-04 14:59:46 UTC
Created attachment 77426 [details]
dmesg output from when the GPU resets. This keeps happening until the game is killed or you look away from whatever is causing the lockup.

This might be related to bug #61721, as it also occurs on my machine.

When playing Half Life 2 Deathmatch, the game runs great until certain scenes cause a GPU lockup.

When run with R600_DEBUG=nohyperz there's no lockup, but performance is much slower. (from ~85fps vsync 1400x1050 down to ~45fps w/o HyperZ)

I'll see if I can get an apitrace tonight.
Comment 1 abortretryfail 2013-04-04 15:09:09 UTC
Silly me, i forgot to include versions!

OpenGL renderer string: Gallium 0.4 on AMD REDWOOD
OpenGL core profile version string: 3.1 (Core Profile) Mesa 9.2.0 (git-450950c)

Linux Brimstone 3.8.5-1-ARCH #1 SMP PREEMPT Fri Mar 29 19:18:14 CET 2013 x86_64 GNU/Linux
Comment 2 abortretryfail 2013-04-04 15:12:57 UTC
Also silly me, I typo'd that bug. I meant to say this may be related to bug #62721
Comment 3 Jerome Glisse 2013-04-24 19:23:55 UTC
Please check if below patch fix the issue:

http://people.freedesktop.org/~glisse/0001-r600g-force-full-cache-for-hyperz.patch
Comment 4 abortretryfail 2013-05-02 14:12:35 UTC
Confirmed this one is fixed. Thanks!

Sorry about not getting the apitrace. I just unpacked my radeon-endowed PC and hadn't a chance to get a trace before moving.